import {
	https
} from '@/utils/http.js';

export function qjAddApi(config) { // 发起请假流程申请
	return https({
		url: '/CxcQxj/cxcQxj/add',
		method: 'post',
		data: config
	})
}

export function queryZwmcAndExaApi(username) { // 根据username获取职位名称和审批领导列表
	return https({
		url: '/CxcQxj/cxcQxj/queryZwmcByUsername',
		method: 'get',
		data: {
			username
		}
	})
}

export function qjQueryByIdApi(config) { // 通过id查询请假数据 流程用
	return https({
		url: '/CxcQxj/cxcQxj/queryById',
		method: 'get',
		data: config
	})
}